View Issue Details

IDProjectCategoryView StatusLast Update
0001640NoesisGUIC++ SDKpublic2020-03-18 20:18
ReporterstevehAssigned Tosfernandez 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionopen 
Product Version2.2.6 
Target Version3.0.0Fixed in Version3.0.0 
Summary0001640: Viewbox scaling incorrect in 2.2.6 for off screen render targets
DescriptionHi guys,

My last known issue caused by upgrading from 2.2.1 -> 2.2.6 is a new issue where the viewbox scaling looks incorrect if applying render scales > 1.0 with an opacity of < 1.0 to cause it to draw to the off screen render targets. I've attached a XAML file which you can load into the 2.2.6 XAML player which demonstrates this problem.

For the time being, I've commented out the scaling of some of our animations which are causing this problem, but this has had a noticeable impact on the visual styling of our animations. It almost looks like the offscreen render target is using a reciprocal of the scaling (e.g. a scale of 2.0 makes the final image clamped to 1/2 width and 1/2 height, a value of 4 makes the final image clamped to 1/4 width and 1/4 height).
Steps To Reproduce1. Load the XAML file provided into the XAML Player for 2.2.6
2. Notice that the ellipse only draws a quater of it.
3. Change the opacity on the ellipse back to 1.0 to force it to draw to the normal render target.
4. Notice that it is now correctly sized
TagsNo tags attached.
PlatformAny

Activities

steveh

steveh

2020-03-15 15:03

reporter  

MainWindow.xaml (1,185 bytes)
sfernandez

sfernandez

2020-03-16 10:43

manager   ~0006148

Hi,

We patched that wrong behavior in the changeset 8712 of branch 2.2 in our repository. I think you have access to our source code, right?
Could you please check with that revision number?
steveh

steveh

2020-03-16 11:27

reporter   ~0006149

Hi Sergio,
 
Yes, I do indeed have source code access. I've just integrated #8712 into our version and as you stated, the issues have now been resolved. Much appreciated!

-Steven

Issue History

Date Modified Username Field Change
2020-03-15 15:03 steveh New Issue
2020-03-15 15:03 steveh File Added: MainWindow.xaml
2020-03-16 10:43 sfernandez Assigned To => sfernandez
2020-03-16 10:43 sfernandez Status new => feedback
2020-03-16 10:43 sfernandez Note Added: 0006148
2020-03-16 11:27 steveh Note Added: 0006149
2020-03-16 11:27 steveh Status feedback => assigned
2020-03-18 20:18 sfernandez Status assigned => resolved
2020-03-18 20:18 sfernandez Product Version => 2.2.6
2020-03-18 20:18 sfernandez Fixed in Version => 3.0.0
2020-03-18 20:18 sfernandez Target Version => 3.0.0
2020-03-18 20:18 sfernandez Description Updated View Revisions
2020-03-18 20:18 sfernandez Steps to Reproduce Updated View Revisions